<template>
  <base-button :size="size" :image="isMaximize ? notFullImg : fullScreenImg" @click="viewStore.toggleMximize()"></base-button>
</template>

<script setup lang="ts">
  import fullScreenImg from '@/assets/images/icon/full_screen.png';
  import notFullImg from '@/assets/images/icon/not-full.png';

  const { size = undefined } = defineProps<{
    /** 按钮大小 */
    size?: number;
  }>();

  const viewStore: ViewStore = useViewStore();
  const isMaximize = computed(() => viewStore.isMaximize);
</script>
